echo off

:start 
cls 

@call .etc\setEnv.cmd
@call .etc\ipconf.cmd

@SET JDK_CA_ROOT_ALIAS=%WEBSITE%-CA-ROOT
@SET SERVER_DN_CN=%WEBSITE%

if "%JAVA_HOME%"=="" goto NO_JAVA_HOME

mkdir work   
mkdir work\server
del /s /q work\server

@SET $_SERVER_DNAME=CN=%SERVER_DN_CN%, OU=%SERVER_DN_OU%, O=%BASE_DN_O%, L=%BASE_DN_L%, ST=%BASE_DN_ST%, C=%BASE_DN_C%

keytool -genkey -alias %SERVER_ALIAS% -validity %SERVER_KEY_DAYS% -keyalg RSA -keysize 2048 -keypass %SERVER_KEYPASS% -storepass %SERVER_STOREPASS% -dname "%$_SERVER_DNAME%" -keystore work\server\%SERVER_KEYSTORE%

keytool -certreq -alias %SERVER_ALIAS% -sigalg SHA1withRSA -file work\server\TCserver.csr -keypass %SERVER_KEYPASS% -keystore work\server\%SERVER_KEYSTORE% -storepass %SERVER_STOREPASS%

openssl x509 -req -in work\server\TCserver.csr -out work\server\TCserver-cert.pem -CA work\ca\ca-cert.pem -CAkey work\ca\ca-key.pem -days %SERVER_KEY_DAYS% -CAcreateserial -sha1 -trustout -CA work\ca\ca-cert.pem -CAkey work\ca\ca-key.pem -days %SERVER_KEY_DAYS% -CAserial %OPENSSL_SRL_FILE% -sha1 -trustout

keytool -delete -v -alias %JDK_CA_ROOT_ALIAS% -storepass %JDK_STOREPASS% -keystore %JDK_KEYSTORE%

keytool -import -v -trustcacerts -storepass %JDK_STOREPASS% -alias %JDK_CA_ROOT_ALIAS% -file work\ca\ca-cert.pem -keystore %JDK_KEYSTORE% -noprompt

keytool -import -v -trustcacerts -storepass %SERVER_STOREPASS% -keypass %SERVER_KEYPASS% -alias %JDK_CA_ROOT_ALIAS% -file work\ca\ca-cert.pem -keystore work\server\%SERVER_KEYSTORE% -noprompt

keytool -import -v -trustcacerts -storepass %SERVER_STOREPASS% -keypass %SERVER_KEYPASS% -alias %SERVER_ALIAS% -file work\server\TCserver-cert.pem -keystore work\server\%SERVER_KEYSTORE%

@goto END

:NO_JAVA_HOME
@echo Please install JDK and set environment variable "JAVA_HOME" if running the command "generate server certificate".

:END
exit