<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=utf-8" %>

<i18n:bundle baseName="org.apache.taglibs.i18n.cmpc" localeRef="userLocale"
             scope="request" changeResponseLocale="true"/>
<%
response.setHeader("Pragma","No-cache");
response.setHeader("Cache-Control","no-cache");
response.setDateHeader("Expires", 0);
%>
<%@ include file="../../include/head.jsp" %>
<%@ include file="../../include/check/checktimeout.jsp"%>
<%@ include file="../../include/check/cannotcommon.jsp" %>
<%@ include file="../../include/show_info.jsp"%>

<%@ page import="com.intel.tcserver.entity.OperatorEntity"%>
<%@ page import="com.intel.tcserver.website.bean.PageConstants"%>
<%@ page import="com.intel.tcserver.website.bean.SchoolCtrl"%>
<%@ page import="com.intel.tcserver.util.constant.ErrorConstants"%>
<%@ page import="com.intel.csserver.dao.xsd.School"%>
<%@ page import="com.intel.tcserver.tool.BackupUtil"%>
<%@ page import="java.util.Date"%>

<body bgcolor="#ffffff">
<%
	String oprType = request.getParameter("operType");
	String offline = request.getParameter("offline");
	boolean bRet = true;
	if ("update".equalsIgnoreCase(oprType))
	{
		School school = new School();
		school.setSchoolname(request.getParameter("schoolname"));
		school.setSchoollocation(request.getParameter("schoollocation"));
		school.setSchoolprincipalname(request.getParameter("schoolprincipal"));
		school.setSchoolcontactname(request.getParameter("schoolcontactname"));
		school.setSchoolcontactphone(request.getParameter("schoolcontactphone"));
		school.setSchoolemail(request.getParameter("schoolemail"));
		school.setSchooltype(Integer.valueOf(request.getParameter("schooltype")));
		school.setSchoolid(Integer.parseInt(request.getParameter("sid")));
		school.setSchooluniqueno(request.getParameter("schoolid"));
		school.setSchoolregdate(request.getParameter("regdate"));
		
		try
		{
			bRet = SchoolCtrl.updateSchool(school, request.getParameter("csnetaddr"));
			
			if ( bRet )
			{
	%>
		<script language="javascript">
		alert("<i18n:message key='editschool_success'/>");
			window.location = "school_processing.jsp";
		</script>		
	<%
			}
			else
			{
	%>
			<script language="javascript">
			alert("<i18n:message key='editschool_failed'/>");
				window.location = "school_processing.jsp";
			</script>
	<%
			}
		}
		catch ( java.net.ConnectException e )
		{
			%>
			<script language="javascript">
			alert("<i18n:message key='network_error'/>");
			window.location = "../../welcome.jsp";
			</script>
			<%
		}
		
		
	}
	else if ("register".equalsIgnoreCase(oprType))
	{
		School school = new School();
		school.setSchoolname(request.getParameter("schoolname"));
		school.setSchoollocation(request.getParameter("schoollocation"));
		school.setSchoolprincipalname(request.getParameter("schoolprincipal"));
		school.setSchoolcontactname(request.getParameter("schoolcontactname"));
		school.setSchoolcontactphone(request.getParameter("schoolcontactphone"));
		school.setSchoolemail(request.getParameter("schoolemail"));
		
		int i = 0;
		try
		{
			i = Integer.valueOf(request.getParameter("schooltype"));
		}
		catch (NumberFormatException e)
		{
			i = 0;
		}
		school.setSchooltype(i);
		String dateStr = BackupUtil.dateWebFormat.format(new Date());
		school.setSchoolregdate(dateStr);
		school.setActivationcode("");
		//school.setSchoolname(request.getParameter("schoolname"));
		//out.println(offline + "<br/>");
		//out.close();
		if ( "yes".equalsIgnoreCase(offline) )
		{
			String offlinePackage = "";
		//	out.println("offline" + "<br/>");
			offlinePackage = SchoolCtrl.offlineRegiterSchool(school);
			
		//	out.println(offlinePackage + "<br/>");
		//	out.close();
			if ( offlinePackage != null && offlinePackage.trim().isEmpty() )
			{
				request.setAttribute("errorinfo", "failed");
				request.getRequestDispatcher("school_register.jsp").forward(request, response);
			}
			else
			{
				if ( offlinePackage != null && !offlinePackage.trim().isEmpty() )
				{
					offlinePackage = offlinePackage.replaceAll("\\\\","/");
				}
				session.setAttribute("offlinepackage", offlinePackage);
				request.getRequestDispatcher("school_offlineregister.jsp").forward(request, response);			
			}
		}
		else if ( "update".equalsIgnoreCase(offline) )
		{
			boolean result = true;
			try
			{
				result = SchoolCtrl.updateSchoolRegInfo(school, request.getParameter("csnetaddr"));
				if ( result )
				{
					%>
					<script language="javascript">
						alert("<i18n:message key='editschool_success'/>");
						window.location = "school_register.jsp";
					</script>
					<%
				}
				else
				{
					%>
					<script language="javascript">
						alert("<i18n:message key='editschool_failed'/>");
						window.location = "school_register.jsp";
					</script>
					<%
				}
			}
			catch ( java.net.ConnectException e )
			{
				%>
				<script language="javascript">
					alert("<i18n:message key='network_error'/>");
					window.location = "school_register.jsp";
				</script>
				<%
			}
			
		}
		else
		{
			
			int result = SchoolCtrl.registerSchool(school, request.getParameter("csnetaddr"));
			if ( result == ErrorConstants.ERROR_SUCCESS )
			{
	%>
		<script language="javascript">
		alert("<i18n:message key='regschool_success'/>");
			window.location = "school_activate.jsp?reactivate=no";
		</script>		
	<%
				//request.getRequestDispatcher("school_activate.jsp").forward(request, response);
			}
			else
			{
				request.setAttribute("errorinfo", result);
				request.getRequestDispatcher("school_register.jsp").forward(request, response);
			}
		}
		
	}
	else
	{
		
	}
		
%>

</body>
</html>